Loading...
Searching...
No Matches
starpu_mpi_early_request.h File Reference
`#include <starpu.h>`
`#include <stdlib.h>`
`#include <mpi.h>`
`#include <common/config.h>`
`#include <common/list.h>`

Go to the source code of this file.

## Data Structures

struct | _starpu_mpi_early_request_tag_hashlist

## Functions

void | _starpu_mpi_early_request_init (void)
void | _starpu_mpi_early_request_shutdown (void)
int | _starpu_mpi_early_request_count (void)
void | _starpu_mpi_early_request_check_termination (void)
void | _starpu_mpi_early_request_enqueue (struct _starpu_mpi_req *req)
struct _starpu_mpi_req * | _starpu_mpi_early_request_dequeue (starpu_mpi_tag_t data_tag, int source, MPI_Comm comm)
struct _starpu_mpi_early_request_tag_hashlist * | _starpu_mpi_early_request_extract (starpu_mpi_tag_t data_tag, int source, MPI_Comm comm)

## Data Structure Documentation

## _starpu_mpi_early_request_tag_hashlist

struct _starpu_mpi_early_request_tag_hashlist

Data Fields
struct _starpu_mpi_req_list | list |
UT_hash_handle | hh |
starpu_mpi_tag_t | data_tag |